import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:ecp_local_notification_plugin/ecp_local_notification_plugin.dart';

void main() {
  const MethodChannel channel = MethodChannel('ecp_local_notification_plugin');

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await EcpLocalNotificationPlugin.platformVersion, '42');
  });
}
